=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2010-10-13 04:13:48 +0000
+++ doc/developers/HACKING.txt	2010-11-12 22:43:38 +0000
@@ -511,7 +511,7 @@
 Because Transports work in URLs (as defined earlier), printing the raw URL
 to the user is usually less than optimal. Characters outside the standard
 set are printed as escapes, rather than the real character, and local
-paths would be printed as ``file://`` urls. The function
+paths would be printed as ``file://`` URLs. The function
 ``unescape_for_display`` attempts to unescape a URL, such that anything
 that cannot be printed in the current encoding stays an escaped URL, but
 valid characters are generated where possible.

=== modified file 'doc/developers/authentication-ring.txt'
--- doc/developers/authentication-ring.txt	2010-11-12 22:36:19 +0000
+++ doc/developers/authentication-ring.txt	2010-11-12 22:43:38 +0000
@@ -361,7 +361,7 @@
   a password.
 
 * As this specification proposes a matching between some credentials
-  definitions and real urls, the implementation provides an optional UI
+  definitions and real URLs, the implementation provides an optional UI
   feedback about which credential definition is used. Using ``-Dauth`` will
   output some traces in the ``.bzr.log`` file metionning the sections
   used. This allows the user to validate his definitions.

=== modified file 'doc/developers/check.txt'
--- doc/developers/check.txt	2009-05-12 03:50:39 +0000
+++ doc/developers/check.txt	2010-11-12 22:43:38 +0000
@@ -35,7 +35,7 @@
 Things that can go wrong:
 * Tag or tip revision ids may be missing from the repo.
 * The revno tip cache may be wrong.
-* Various urls could be problematic (not inaccessible, just invalid)
+* Various URLS could be problematic (not inaccessible, just invalid)
 * Stacked-on branch could be inaccessible.
 
 Tree

=== modified file 'doc/en/release-notes/bzr-0.11.txt'
--- doc/en/release-notes/bzr-0.11.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-0.11.txt	2010-11-12 22:43:38 +0000
@@ -60,7 +60,7 @@
   modules will not actually be imported if they are not used.
   (John Arbash Meinel)
 
-* Support ``bzr://`` and ``bzr+ssh://`` urls to work with the new RPC-based
+* Support ``bzr://`` and ``bzr+ssh://`` URLS to work with the new RPC-based
   transport which will be used with the upcoming high-performance smart
   server. The new command ``bzr serve`` will invoke bzr in server mode,
   which processes these requests. (Andrew Bennetts, Robert Collins, Martin

=== modified file 'doc/en/release-notes/bzr-0.13.txt'
--- doc/en/release-notes/bzr-0.13.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-0.13.txt	2010-11-12 22:43:38 +0000
@@ -70,7 +70,7 @@
 * New method ``get_branch_reference`` on 'BzrDir' allows the detection of
   branch references - which the smart server component needs.
 
-* New ``ChrootTransportDecorator``, accessible via the ``chroot+`` url
+* New ``ChrootTransportDecorator``, accessible via the ``chroot+`` URL
   prefix.  It disallows any access to locations above a set URL.  (Andrew
   Bennetts)
 
@@ -96,7 +96,7 @@
   the death of the transport and propagates that to the clones.
   (Vincent Ladeuil, #62276, #62029).
 
-* Handles user/passwords supplied in url from command
+* Handles user/passwords supplied in URL from command
   line (for the urllib implementation). Don't request already
   known passwords (Vincent Ladeuil, #42383, #44647, #48527)
 

=== modified file 'doc/en/release-notes/bzr-0.16.txt'
--- doc/en/release-notes/bzr-0.16.txt	2010-11-12 22:08:18 +0000
+++ doc/en/release-notes/bzr-0.16.txt	2010-11-12 22:43:38 +0000
@@ -172,7 +172,7 @@
 * digest authentication is now supported for proxies and HTTP by the urllib
   based HTTP implementation. Tested against Apache 2.0.55 and Squid
   2.6.5. Basic and digest authentication are handled coherently for HTTP
-  and proxy: if the user is provided in the url (bzr command line for HTTP,
+  and proxy: if the user is provided in the URL (bzr command line for HTTP,
   proxy environment variables for proxies), the password is prompted for
   (only once). If the password is provided, it is taken into account. Once
   the first authentication is successful, all further authentication
@@ -186,8 +186,8 @@
 * bzrlib API compatability with 0.8 has been dropped, cleaning up some
   code paths. (Robert Collins)
 
-* Change the format of chroot urls so that they can be safely manipulated
-  by generic url utilities without causing the resulting urls to have
+* Change the format of chroot URLS so that they can be safely manipulated
+  by generic URL utilities without causing the resulting URLs to have
   escaped the chroot. A side effect of this is that creating a chroot
   requires an explicit action using a ChrootServer.
   (Robert Collins, Andrew Bennetts)
@@ -358,8 +358,8 @@
   lightweight checkout for the tree if the ``vfs_transport_factory`` is not
   a LocalURLServer. (Robert Collins, Andrew Bennetts)
 
-* Branch implementation tests have been audited to ensure that all urls
-  passed to Branch APIs use proper urls, except when local-disk paths
+* Branch implementation tests have been audited to ensure that all URLs
+  passed to Branch APIs use proper URLs, except when local-disk paths
   are intended. This is so that tests correctly access the test transport
   which is often not equivalent to local disk in Remote* tests. As part
   of this many tests were adjusted to remove dependencies on local disk

=== modified file 'doc/en/release-notes/bzr-0.18.txt'
--- doc/en/release-notes/bzr-0.18.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-0.18.txt	2010-11-12 22:43:38 +0000
@@ -228,7 +228,7 @@
   deprecated in favour of ``MutableTree.smart_add``. (Robert Collins,
   Martin Pool)
 
-* New method ``external_url`` on Transport for obtaining the url to
+* New method ``external_url`` on Transport for obtaining the URL to
   hand to external processes. (Robert Collins)
 
 * Teach windows installers to build pyrex/C extensions.

=== modified file 'doc/en/release-notes/bzr-0.6.txt'
--- doc/en/release-notes/bzr-0.6.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-0.6.txt	2010-11-12 22:43:38 +0000
@@ -187,9 +187,9 @@
   are returned as NoSuchFile. Other exceptions will propagate as normal.
   This allows debuging of actual errors. (Robert Collins)
 
-* bzrlib.transport.Transport now accepts *ONLY* url escaped relative paths
+* bzrlib.transport.Transport now accepts *ONLY* URL-escaped relative paths
   to apis like 'put', 'get' and 'has'. This is to provide consistent
-  behaviour - it operates on url's only. (Robert Collins)
+  behaviour - it operates on URLs only. (Robert Collins)
 
 * Transports can register using ``register_lazy_transport``, and they
   will be loaded when first used.  (Martin Pool)

=== modified file 'doc/en/release-notes/bzr-0.91.txt'
--- doc/en/release-notes/bzr-0.91.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-0.91.txt	2010-11-12 22:43:38 +0000
@@ -324,7 +324,7 @@
   This provides a hint to users of transports as to the reasonable
   minimum data to read. In principle this can take latency and
   bandwidth into account on a per-connection basis, but for now it
-  just has hard coded values based on the url. (e.g. http:// has a large
+  just has hard coded values based on the URL. (E.g., http:// has a large
   page size, file:// has a small one.) (Robert Collins)
 
 * New method on ``bzrlib.transport.Transport`` ``open_write_stream`` allows

=== modified file 'doc/en/release-notes/bzr-1.0.txt'
--- doc/en/release-notes/bzr-1.0.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-1.0.txt	2010-11-12 22:43:38 +0000
@@ -330,7 +330,7 @@
   suggestion for an acceptable name is given. (Daniel Watkins, #103023)
 
 * Leave port as None in transport objects if user doesn't
-  specify a port in urls.
+  specify a port in URLs.
   (vincent Ladeuil, #150860)
 
 * Make sure Repository.fetch(self) is properly a no-op for all

=== modified file 'doc/en/release-notes/bzr-1.1.txt'
--- doc/en/release-notes/bzr-1.1.txt	2010-11-12 22:08:18 +0000
+++ doc/en/release-notes/bzr-1.1.txt	2010-11-12 22:43:38 +0000
@@ -118,7 +118,7 @@
 * ``merge --weave --uncommitted`` now works.  (Aaron Bentley)
 
 * pycurl authentication handling was broken and incomplete. Fix handling of
-  user:pass embedded in the urls.
+  user:pass embedded in the URLs.
   (Vincent Ladeuil, #177643)
 
 * Files inside non-directories are now handled like other conflict types.

=== modified file 'doc/en/release-notes/bzr-1.2.txt'
--- doc/en/release-notes/bzr-1.2.txt	2010-10-08 08:15:14 +0000
+++ doc/en/release-notes/bzr-1.2.txt	2010-11-12 22:43:38 +0000
@@ -66,7 +66,7 @@
   client, and sends less data to the server to request the revisions.
   (Andrew Bennetts, Robert Collins, #178353)
 
-* The launchpad plugin now handles lp urls of the form
+* The launchpad plugin now handles lp URLs of the form
   ``lp://staging/``, ``lp://demo/``, ``lp://dev/`` to use the appropriate
   launchpad instance to do the resolution of the branch identities.
   This is primarily of use to Launchpad developers, but can also
@@ -87,7 +87,7 @@
 * The ``--coverage`` option is now global, rather specific to ``bzr
   selftest``.  (Andrew Bennetts)
 
-* The ``register-branch`` command will now use the public url of the branch
+* The ``register-branch`` command will now use the public URL of the branch
   containing the current directory, if one has been set and no explicit
   branch is provided.  (Robert Collins)
 

=== modified file 'doc/en/release-notes/bzr-1.6.txt'
--- doc/en/release-notes/bzr-1.6.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-1.6.txt	2010-11-12 22:43:38 +0000
@@ -416,7 +416,7 @@
 * Fetch from a stacked branch copies all required data.
   (Aaron Bentley, #248506)
 
-* Handle urls such as ftp://user@host.com@www.host.com where the user
+* Handle URLs such as ftp://user@host.com@www.host.com where the user
   name contains an @.
   (Neil Martinsen-Burrell, #228058)
 

=== modified file 'doc/en/release-notes/bzr-1.7.txt'
--- doc/en/release-notes/bzr-1.7.txt	2010-10-08 08:15:14 +0000
+++ doc/en/release-notes/bzr-1.7.txt	2010-11-12 22:43:38 +0000
@@ -116,7 +116,7 @@
 Improvements
 ************
 
-* A url like ``log+file:///tmp`` will log all access to that Transport
+* A URL like ``log+file:///tmp`` will log all access to that Transport
   to ``.bzr.log``, which may help in debugging or profiling.
   (Martin Pool)
 

=== modified file 'doc/en/release-notes/bzr-2.1.txt'
--- doc/en/release-notes/bzr-2.1.txt	2010-11-12 22:36:19 +0000
+++ doc/en/release-notes/bzr-2.1.txt	2010-11-12 22:43:38 +0000
@@ -26,7 +26,7 @@
 * Skip the tests that requires respecting the chmod bits when running as root.
   (Vincent Ladeuil, #646133)
 
-* Using bzr with `lp:` urls behind an HTTP proxy should work.
+* Using bzr with `lp:` URLs behind an HTTP proxy should work.
   (Robert Collins, #558343)
 
 Improvements
@@ -919,7 +919,7 @@
 
 Key highlights in this release are: improved handling of
 failures-during-cleanup for commit, fixing a long-standing bug with
-``bzr+http`` and shared repositories, all ``lp:`` urls to be resolved
+``bzr+http`` and shared repositories, all ``lp:`` URLs to be resolved
 behind proxies, and a new StaticTuple datatype, allowing us to reduce
 memory consumption (50%) and garbage collector overhead (40% faster) for
 many operations.
@@ -942,7 +942,7 @@
   they do occur.  This fixes some causes of ``TooManyConcurrentRequests``
   and similar errors.  (Andrew Bennetts, #429747, #243391)
 
-* Launchpad urls can now be resolved from behind proxies.
+* Launchpad URLs can now be resolved from behind proxies.
   (Gordon Tyler, Vincent Ladeuil, #186920)
 
 * Reduce the strictness for StaticTuple, instead add a debug flag
@@ -1031,7 +1031,7 @@
 base with only bugfixes should focus on the 2.0.1 release. All bugfixes
 present in 2.0.1 are present in 2.1.0b1.
 
-Highlights include support for ``bzr+ssh://host/~/homedir`` style urls,
+Highlights include support for ``bzr+ssh://host/~/homedir`` style URLs,
 finer control over the plugin search path via extended BZR_PLUGIN_PATH
 syntax, visible warnings when extension modules fail to load, and improved
 error handling during unlocking.
@@ -1220,7 +1220,7 @@
 * Tests that try to open a bzr dir on an arbitrary transport will now
   fail unless they have explicitly permitted the transport via
   ``self.permit_url``. The standard test factories such as ``self.get_url``
-  will permit the urls they provide automatically, so only exceptional
+  will permit the URLs they provide automatically, so only exceptional
   tests should need to do this. (Robert Collins)
 
 * The break-in test no longer cares about clean shutdown of the child,

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-11-12 22:08:18 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-11-12 22:43:38 +0000
@@ -110,7 +110,7 @@
   once. It can also be used to set or delete a configuration option in any
   configuration file. (Vincent Ladeuil)
 
-* New shortcut url schemes ``ubuntu:`` and ``debianlp:`` access source
+* New shortcut URL schemes ``ubuntu:`` and ``debianlp:`` access source
   branches on Launchpad.  E.g. ``bzr branch ubuntu:foo`` gives you the source
   branch for project ``foo`` in the current distroseries for Ubuntu while
   ``bzr branch debianlp:lenny/foo`` gives you the source branch (on Launchpad)

=== modified file 'doc/en/upgrade-guide/data_migration.txt'
--- doc/en/upgrade-guide/data_migration.txt	2009-10-02 18:12:29 +0000
+++ doc/en/upgrade-guide/data_migration.txt	2010-11-12 22:43:38 +0000
@@ -113,7 +113,7 @@
 
 In Launchpad, a project can define a *development series* and associate a
 branch with that series.  The branch then becomes the *focus of development*
-and gets special treatment and a shortcut url.  By default, if anybody
+and gets special treatment and a shortcut URL.  By default, if anybody
 branches your project's focus of development and pushes changes back to
 Launchpad, their branch will be stacked on your development focus branch.
 Also, branches can be associated with other Launchpad artifacts such as bugs

=== modified file 'doc/en/user-guide/http_smart_server.txt'
--- doc/en/user-guide/http_smart_server.txt	2010-11-12 22:08:18 +0000
+++ doc/en/user-guide/http_smart_server.txt	2010-11-12 22:43:38 +0000
@@ -278,7 +278,7 @@
     </Location>
 
 At this time, it is not possible to allow some people to have read-only
-access and others to have read-write access to the same urls. Because at
+access and others to have read-write access to the same URLs. Because at
 the HTTP layer (which is doing the Authenticating), everything is just a
 POST request.  However, it would certainly be possible to have HTTPS
 require authentication and use a writable server, and plain HTTP allow

